Hey BlackBerry fans,

The new Loopt is now available on the BlackBerry Bold 9700, BlackBerry Curve 8520 & 8530, in addition to the previously announced supported BlackBerry smartphones (BlackBerry Curve 8900, BlackBerry Tour and BlackBerry Bold 9000).

Click here to download the new version of Loopt for BlackBerry!

With this update, the new Loopt for BlackBerry is available to U.S. users on the Curve 8520, 8530, 8900, Bold 9000 and 9700, and Tour 9630. The previous version of Loopt is still available for legacy devices such as the 8330. To see if your device is supported and get Loopt, visit www.loopt.com using your BlackBerry browser. BlackBerry Storm users? Hang tight—we’re working on a version for you as well. Sign up to receive updates at www.looptblog.com so you can stay in the loop(t).

-The Loopt Team